#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    int n, k, x;
    cin >> n >> k >> x;

    int a[n];

    if(k == 3)
    {
        if(n >= 4)
        {
            a[0] = a[1] = a[2] = 1;
            for(int i = 3; i < n-1; i++)
                a[i] = x;

            a[n-1] = x+1;

            for(int i = 0; i < n; i++)
                cout << a[i] << " ";
        }

        else
            cout << 1 << " " << x+1 << " " << 2*(x+1);
    }

    else if(n == k)
    {
        if(n >= 4)
        {
            a[0] = 1;
            a[1] = x+1;
            a[2] = 2*(x+1);

            for(int i = 3; i < n; i++)
                a[i] = 2;

            for(int i = 0; i < n; i++)
                cout << a[i] << " ";
        }

        else
            cout << -1;
    }

    else
    {
        if(k == 0)
        {
            for(int i = 0; i < n; i++)
                cout << 1 << " ";
        }

        else if(k < n)
        {
            a[0] = 1;
            for(int i = 1; i < k+1; i++)
                a[i] = x+1;
            for(int i = k+1; i < n; i++)
                a[i] = 2;
            for(int i = 0; i < n; i++)
                cout << a[i] << " ";
        }
        else
        {
            if(k % 2 == 0)
            {
                if(n >= 4)
                {
                    vector<int> v;
                    v.push_back(1);
                    v.push_back(1);

                    for(int i = 0; i < k/2; i++)
                    {
                        v.push_back(x+1);
                    }

                    for(int i = v.size(); i < n; i++)
                        v.push_back(2);
                    for(int i = 0; i < n; i++)
                        cout << v[i] << " ";
                }

                else
                    cout << -1;
            }

            else if(k & 1)
            {
                if(n >= 4)
                {
                    vector<int> v;
                    v.push_back(1);
                    v.push_back(2);

                    for(int i = 0; i < k/2; i++)
                        v.push_back(x+2);
                    v.push_back(x+1);

                    for(int i = v.size(); i < n; i++)
                        v.push_back(2);

                    for(auto i: v)
                        cout << i << " ";
                }

                else
                    cout << -1;
            }

        }

    }
}